
QGIS Application - Bug report #7712

qgis server master does not work on Windows(?)

2013-04-25 03:27 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 16623

Description

With osgeo4w/qgis master it is also shipped qgis server. By editing https_qgis.conf and httpd.conf it is easy to make it work instead of

qgis server 1.8.

While qgis server 1.8 works, qgis server master does not.

The url I tested is like

http://localhost/cgi-bin/qgis_mapserv.fcgi?map=c:/temp/teste20.qgs

in the wms client the layer list is not presented and it just shown the project name. Trying force add this "layer" I get

WMS provider: Cannot calculate extent

(d:\\src\\qgis\\src\\providers\\wms\\qgswmsprovider.cpp : 126 :

QgsWmsProvider::QgsWmsProvider)

Raster layer: Provider is not valid (provider: wms, URI:

IgnoreGetFeatureInfoUrl=1&IgnoreGetMapUrl=1&crs=EPSG:3763&featureCount=10&format=image/jpeg&layers=teste20&styles=&url=http://localhost/cgi-bin/qgis_mapserv.fcgi?map%3Dc:/temp/teste20.qgs
(d:\\src\\qgis\\src\\core\
aster\\qgsrasterlayer.cpp : 826 :
QgsRasterLayer::setDataProvider)


=&url=http://localhost/cgi-bin/qgis_mapserv.fcgi?map%3Dc:/temp/teste20.qgs

(d:\\src\\qgis\\src\\core\

aster\\qgsrasterlayer.cpp : 826 :

QgsRasterLayer::setDataProvider)

Related issues:

Related to QGIS Application - Bug report # 14589: GetCapabilities gets cached... Closed 2016-03-29

History

#1 - 2013-04-25 03:29 PM - Giovanni Manghi

- Operating System set to Windows

#2 - 2014-01-30 11:41 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#3 - 2014-06-20 06:48 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

it works.
